Annonces de la communauté

Sortie de Moodle 3.4.3, 3.3.6, 3.2.9 et 3.1.12

 
C'est moi :-)
Sortie de Moodle 3.4.3, 3.3.6, 3.2.9 et 3.1.12
Documentation writersMoodleurs particulièrement utilesTesteursTraducteurs

En plus de la nouvelle version majeure Moodle 3.5, les versions 3.4.3, 3.3.6, 3.2.9 et 3.1.12 de Moodle viennent de sortir, et sont disponibles à partir de la page de téléchargement de Moodle ou via Git.

Le Règlement Général pour la Protection des Données (RGPD) qui entre en application le 25 mai 2018 a été l'occupation principale des développements de ces six derniers mois. Moodle 3.4.3 et 3.3.6 intègrent le support des dernières versions des plugins permettant de se conformer au RGPD. Les plugins Data privacy (Protection des données) et Policies (Politiques) sont disponibles depuis la base de données des plugins. Ils sont intégrés en standard dans Moodle 3.5.

Hormis des corrections de bogues et améliorations dans Moodle 3.4.3 et 3.3.6, des failles de sécurité ont été découvertes et corrigées dans toutes ces nouvelles versions mineures. Si vous utilisez déjà une version 3.4.x, 3.3.x, 3.2.x ou 3.1.x, vous devriez mettre à jour dès que possible vos sites Moodle vers la dernière version correspondante ! Cela devrait être simple et rapide.

Conformément à la procédure habituelle, les administrateurs des sites Moodle enregistrés sont prévenus par mails des détails de sécurité, qui seront accessibles plus largement dans quelques jours.

Les notes de mise à jour de chaque version permettent d'en savoir plus :

Notez que Moodle 3.2 n'est maintenant plus supporté et que Moodle 3.3 comme Moodle 3.1 (LTS) ne sont maintenant supportés que pour les bogues de sécurité. Consultez l'historique des versions pour plus de détails.